#! /usr/bin/bash

########################################
# - https://sonarqube.inria.fr
# - https://sed-bso.gitlabpages.inria.fr/sonarqube/ (sonarqube tutorial)
# - define a token from your account/security page
# - copy it to the file .sonar_token
########################################



# create venv
# install dependencies
# define & export ALLGO_18_TOKEN and ALLGO_OLD_TOKEN

########################################

# run the tests
python -m pytest --pep8 \
    --cov=allgo --cov-config=.coveragerc.p3 \
    --cov-report xml \
    --junit-xml=test.xml \
    tests/

# sonarqube will read the source path in the coverage.xml file
#   we have to turn local path to path accessible from sonarqube container
perle='s#'$PWD'#/Allgo-client#'
perl -pi -e "$perle" coverage.xml

# run the container
# run sonar scanner
#   sonar.dbg is necessary only in case of failure.
# note: I used sudo because I cannot make the user gitlab
#       to have the permission to write in the directory.
#   => this makes some files to belong to root.
docker run -it \
    -v $PWD:/Allgo-client \
    --workdir /Allgo-client \
    hpclib/sonarqube \
sudo sonar-scanner \
    -D"sonar.login=$( cat .sonar_token )" \
    -X 2>&1 > sonar.dbg
