from setuptools import setup, find_packages

import allgo

setup(
    name='allgo',
    version=str(allgo.__version__),
    install_requires=['requests'],
    packages=find_packages(exclude=['doc', 'test*']),
    author="Sebastien Letort",
    author_email="sebastien.letort@inria.fr",
    description="AllGo client-API module",
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    include_package_data=True,
    url='https://gitlab.inria.fr/allgo/api-clients/python_client',
    classifiers=[
        "Programming Language :: Python :: 3",
        "Development Status :: 5 - Production/Stable",
        "License :: OSI Approved",
        "Natural Language :: French",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3",
        "Topic :: Communications",
    ],
    license="AGPL",
)
